diff --git i/doc/src/sgml/stylesheet-html-common.xsl w/doc/src/sgml/stylesheet-html-common.xsl
index d9961089c65..9f69af40a94 100644
--- i/doc/src/sgml/stylesheet-html-common.xsl
+++ w/doc/src/sgml/stylesheet-html-common.xsl
@@ -4,6 +4,7 @@
 %common.entities;
 ]>
 <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+                xmlns="http://www.w3.org/1999/xhtml"
                 version="1.0">
 
 <!--
@@ -126,7 +127,11 @@ set       toc,title
                                                  &uppercase;),
                                              substring(&primary;, 1, 1)))]"/>
 
-  <div class="index">
+  <!-- pgsql-docs: added xmlns:xlink, autoidx.xsl doesn't include xlink in
+       exclude-result-prefixes. Without our customization that just leads to a
+       single xmlns:xlink in this div, but because we emit it it otherwise
+       gets pushed down to the elements output by autoidx.xsl -->
+  <div class="index" xmlns:xlink="http://www.w3.org/1999/xlink">
     <!-- pgsql-docs: begin added stuff -->
     <p class="indexdiv-quicklinks">
       <a href="#indexdiv-Symbols">
diff --git i/doc/src/sgml/stylesheet.xsl w/doc/src/sgml/stylesheet.xsl
index 0eac594f0cc..24a9481fd49 100644
--- i/doc/src/sgml/stylesheet.xsl
+++ w/doc/src/sgml/stylesheet.xsl
@@ -1,7 +1,7 @@
 <?xml version='1.0'?>
 <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                 version='1.0'
-                xmlns="http://www.w3.org/TR/xhtml1/transitional"
+                xmlns="http://www.w3.org/1999/xhtml"
                 exclude-result-prefixes="#default">
 
 <xsl:import href="http://docbook.sourceforge.net/release/xsl/current/xhtml/chunk.xsl"/>
